Mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jianfeng (Jeff) Zhang" <jzh...@hortonworks.com>
Subject Re: Build tez UI failed.
Date Thu, 02 Apr 2015 03:41:23 GMT

I meet the same issue today. It looks like an issue of maven 3.3.1, after I switch to maven
3.2.5, the build succeeded.

http://mail-archives.apache.org/mod_mbox/maven-dev/201503.mbox/%3C7050C8E8-90F6-47B4-B3DC-FD10CB9E4002@takari.io%3E


> > [ERROR] Failed to execute goal com.github.eirslett:frontend-maven-plugin:0.0.16:install-node-and-npm
(install node and npm) on project tez-ui:
> >
> > Execution install node and npm of goal com.github.eirslett:frontend-maven-plugin:0.0.16:install-node-and-npm
failed: A required class was missing while executing com.github.eirslett:frontend-maven-plugin:0.0.16:install-node-and-npm:
org/slf4j/helpers/MarkerIgnoringBase


Best Regard,
Jeff Zhang


From: Azuryy Yu <azuryyyu@gmail.com<mailto:azuryyyu@gmail.com>>
Reply-To: "user@tez.apache.org<mailto:user@tez.apache.org>" <user@tez.apache.org<mailto:user@tez.apache.org>>
Date: Wednesday, March 25, 2015 at 2:21 PM
To: "user@tez.apache.org<mailto:user@tez.apache.org>" <user@tez.apache.org<mailto:user@tez.apache.org>>
Subject: Re: Build tez UI failed.

Hi Hitesh,

I filed two JIRAs:

https://issues.apache.org/jira/browse/TEZ-2228  for download.
https://issues.apache.org/jira/browse/TEZ-2229  for bower.

Thanks.




On Wed, Mar 25, 2015 at 1:55 PM, Hitesh Shah <hitesh@apache.org<mailto:hitesh@apache.org>>
wrote:
Could you file 2 jiras for the issues that you have raised i.e. one for the download issue
and the other for the bower sudo with maven debug logs? Also, please add more details to the
jira with respect to your environment for the sudo issue i.e what os, whether you have node/npm
installed locally by root on the machine, etc?

The tez-ui pulls in bower to "<tez-source>/tez-ui/src/main/webapp/node_modules/bower/bin/bower"
. Do you have bower showing up from some other location in your path when building the tez-ui?
I am just guessing at this point - hopefully other folks who have more experience with the
tez-ui related tools can chime in.

thanks
- Hitesh




On Mar 24, 2015, at 8:57 PM, Azuryy Yu <azuryyyu@gmail.com<mailto:azuryyyu@gmail.com>>
wrote:

> Hi Hitesh,
>
> I want add another issue.
>
> Tez complain bower cannot execute with SUDO. (I missed exact exception) , then I changed
tez-ui/pom.xml,  add :
>
> <augument>--allow-root</augument>
>
> otherwise, I cannot build Tez successfully.
>
>
>
> On Wed, Mar 25, 2015 at 11:53 AM, Azuryy Yu <azuryyyu@gmail.com<mailto:azuryyyu@gmail.com>>
wrote:
> Hi Hitesh,
> after debug, It was my incorrect maven build. now it works.
>
> but I have two new issues:
>
> 1) Tez need to download phantomjs-1.9.8-linux-x86_64.tar.bz2, can we make a thirdparty
directory under tez released tar ball? I ofter get a network connection timeout during build.
>
> 2) Tez UI doesn't work, it show me a empy page.
>
> I deploy tez-ui war ball to Tomcat/webapp, start timeline server and tomcat.
>
> and I also changed script/config.js to the correct timeline URL and RMUrl (my timeline
webapp port is 50040, RM webapp port is 50030)
>
> then I open http://x.x.x.x:8080/tez-ui-xx/index.html, which is a blank page.
>
> I am strictly refer to http://tez.apache.org/tez-ui.html
>
>
> Thanks.
>
>
>
>
> On Wed, Mar 25, 2015 at 1:15 AM, Hitesh Shah <hitesh@apache.org<mailto:hitesh@apache.org>>
wrote:
> Hi
>
> I just downloaded the src-tar for the 0.6.0 release and built it without any issues.
At times, I have not seen this but others have faced issues at times ( based on general searches[1]
) where there have been temporal issues downloading node locally at times.
>
> [1] https://github.com/eirslett/frontend-maven-plugin/issues/99
>
> Not sure if the above issue is what you have faced. However, you can run the build with
debug enabled and can help pinpoint the error, we can try and make the build more robust if
possible.
>
> thanks
> - Hitesh
>
>
>
>
> On Mar 24, 2015, at 1:47 AM, Azuryy Yu <azuryyyu@gmail.com<mailto:azuryyyu@gmail.com>>
wrote:
>
> > Hi,
> > I try to build tez-0.6.0, but cannot build Tez UI.
> >
> > [ERROR] Failed to execute goal com.github.eirslett:frontend-maven-plugin:0.0.16:install-node-and-npm
(install node and npm) on project tez-ui:
> >
> > Execution install node and npm of goal com.github.eirslett:frontend-maven-plugin:0.0.16:install-node-and-npm
failed: A required class was missing while executing com.github.eirslett:frontend-maven-plugin:0.0.16:install-node-and-npm:
org/slf4j/helpers/MarkerIgnoringBase
> >
> > what casued this failure? Thanks.
>
>
>



Mime
View raw message